Skip to content
Guides
Fulfillment & ShippingCustomizations
settings:read

List shipping customizations

GET/v1/shipping/customizations

List shipping customizations. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/customizations" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
[  {    "id": "7204558912004325301",    "storeId": "7204558912004325301",    "shippingMethodId": "7204558912004325301",    "name": "Example resource",    "priority": 1,    "isActive": false,    "hideInCheckout": false,    "displayName": "Example resource",    "sortOrder": 1,    "sellerId": "7204558912004325301",    "shippingProfileId": "7204558912004325301",    "minOrderAmount": 1,    "maxOrderAmount": 1,    "minWeight": 1,    "maxWeight": 1,    "availableDays": [      "monday"    ],    "startTime": "09:00:00Z",    "endTime": "09:00:00Z",    "postalCodes": [      "example"    ],    "createdOn": "2026-08-01T15:30:00Z",    "updatedOn": "2026-08-01T15:30:00Z"  }]